# This file is autogenerated. Do not edit by hand.
# Last refresh: 2019-06-27 11:16:48

#' @md
#' @title DNS CLASSes (dataset)
#' @description DNS CLASSes
#' @format data frame with columns: `decimal`, `hexadecimal`, `name`, `reference`
#' @docType data
#' @keywords datasets
#' @name dns_classes
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml#dns-parameters-2>
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml>
#' @references rfc6895
#' @note As noted in , Multicast DNS can only carry DNS records with classes in the range 0-32767. Classes in the range 32768 to 65535 are incompatible with Multicast DNS.
#' @note Last updated 2019-06-27 11:16:48
#' @usage data('dns_classes')
NULL

#' @md
#' @title Resource Record (RR) TYPEs (dataset)
#' @description Resource Record (RR) TYPEs
#' @format data frame with columns: `type`, `value`, `meaning`, `reference`, `template`, `registration_date`
#' @docType data
#' @keywords datasets
#' @name rrtypes
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml#dns-parameters-4>
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml>
#' @references rfc6895, rfc1035
#' @note Last updated 2019-06-27 11:16:48
#' @usage data('rrtypes')
NULL

#' @md
#' @title DNS OpCodes (dataset)
#' @description DNS OpCodes
#' @format data frame with columns: `op_code`, `name`, `reference`
#' @docType data
#' @keywords datasets
#' @name dns_opcodes
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml#dns-parameters-5>
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml>
#' @references rfc6895, rfc1035
#' @note Last updated 2019-06-27 11:16:48
#' @usage data('dns_opcodes')
NULL

#' @md
#' @title DNS RCODEs (dataset)
#' @description DNS RCODEs
#' @format data frame with columns: `rcode`, `name`, `description`, `reference`
#' @docType data
#' @keywords datasets
#' @name dns_rcodes
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml#dns-parameters-6>
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml>
#' @references rfc6895, rfc1035
#' @note Last updated 2019-06-27 11:16:48
#' @usage data('dns_rcodes')
NULL

#' @md
#' @title DNS EDNS0 Option Codes (OPT) (dataset)
#' @description DNS EDNS0 Option Codes (OPT)
#' @format data frame with columns: `value`, `name`, `status`, `reference`
#' @docType data
#' @keywords datasets
#' @name edns0_option_codes
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml#dns-parameters-11>
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml>
#' @references rfc6891, 3604
#' @note Registrations made by standards-track documents are listed as "Standard," and by non-standards-track documents as "Optional." Registrations for which there are no final specifications are listed as "On-Hold."    
#' @note Last updated 2019-06-27 11:16:48
#' @usage data('edns0_option_codes')
NULL

#' @md
#' @title Underscored and Globally Scoped DNS Node Names (dataset)
#' @description Underscored and Globally Scoped DNS Node Names
#' @format data frame with columns: `rr_type`, `node_name`, `reference`
#' @docType data
#' @keywords datasets
#' @name dns_glob_names
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml#underscored-globally-scoped-dns-node-names>
#' @references <https://www.iana.org/assignments/dns-parameters/dns-parameters.xhtml>
#' @references rfc8552
#' @note Last updated 2019-06-27 11:16:48
#' @usage data('dns_glob_names')
NULL

